Package org.eclipse.emf.cdo.server.db

## Enum IPreparedStatementCache.ReuseProbability

- java.lang.Object
- - java.lang.Enum<IPreparedStatementCache.ReuseProbability>
  - - org.eclipse.emf.cdo.server.db.IPreparedStatementCache.ReuseProbability

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IPreparedStatementCache.ReuseProbability>`
  Enclosing interface:
    IPreparedStatementCache

      public static enum IPreparedStatementCache.ReuseProbability
      extends java.lang.Enum<IPreparedStatementCache.ReuseProbability>

  An enum for the degree of probability to which a prepared statement is reused later on. This is used for managing the cache of prepared statements so that statements which are more likely reused are kept in the cache longer. Rule of thumb:
  - For global statements which are used regularly (such as lookup object in cdo_objects) use `MAX`.
  - For constant object-specific statements which are used regularly use `HIGH`.
  - For object-specific statements which are assembled from constants which are used regularly use `MEDIUM`.
  - For all other dynamic statements, like queries, use `LOW`
  Since:
    2.0
  Author:
    Stefan Winkler
  No Extend
    This interface is not intended to be extended by clients.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HIGH` |
    `LOW` |
    `MAX` |
    `MEDIUM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IPreparedStatementCache.ReuseProbability` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IPreparedStatementCache.ReuseProbability[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAX

          public static final IPreparedStatementCache.ReuseProbability MAX

    - #### HIGH

          public static final IPreparedStatementCache.ReuseProbability HIGH

    - #### MEDIUM

          public static final IPreparedStatementCache.ReuseProbability MEDIUM

    - #### LOW

          public static final IPreparedStatementCache.ReuseProbability LOW

  - ### Method Detail

    - #### values

          public static IPreparedStatementCache.ReuseProbability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPreparedStatementCache.ReuseProbability c : IPreparedStatementCache.ReuseProbability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPreparedStatementCache.ReuseProbability valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null